Get Results
curl --request GET \
--url https://api.lobstr.io/v1/results \
--header 'Authorization: <authorization>'import requests
url = "https://api.lobstr.io/v1/results"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.lobstr.io/v1/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"comment_id": "<string>",
"comment_url": "<string>",
"post_url": "<string>",
"text": "<string>",
"giphy_media_info": "<any>",
"owner_username": "<string>",
"owner_id": "<string>",
"owner_profile_pic_url": "<string>",
"owner_is_verified": true,
"timestamp": {},
"likes_count": 123,
"replies_count": 123,
"owner_profile_url": "<string>",
"is_child_comment": true,
"parent_comment_id": "<string>",
"post_owner_username": "<string>",
"post_owner_id": "<string>",
"post_owner_full_name": "<string>",
"post_owner_is_verified": true,
"is_edited": true
}Instagram Comments Scraper
Get Results
Retrieve scraped data from Instagram Comments Scraper
GET
/
v1
/
results
Get Results
Retrieve scraped data from your Instagram Comments Scraper runs.
Headers
string
required
Your API authentication token. Value:
Token YOUR_API_KEY.Query Parameters
string
required
Hash of the squid to get results from.
integer
Page number (default: 1).
Result Fields
string
Unique identifier for the Instagram comment. Example:
18397500988178795string
Direct URL to the comment on Instagram. Example:
https://www.instagram.com/p/DDIJAfeyemG/c/18397500988178795string
URL of the Instagram post this comment belongs to. Example:
https://www.instagram.com/reel/DDIJAfeyemGstring
Full text content of the comment. Example:
I LOVE INSTAGRAM #instagramjson
Details of a Giphy GIF or sticker attached to the comment.
string
Instagram username of the comment author. Example:
mohsinjamindar07string
Unique Instagram identifier of the comment author. Example:
40564582835string
URL of the comment author’s Instagram profile picture. Example:
https://scontent.cdninstagram.com/v/t51.2885-19/x.jpgboolean
Whether the comment author has a verified badge on Instagram. Example:
Falsedatetime
Timestamp of when the comment was posted. Example:
2026-02-15T06:27:58.000Zinteger
Number of likes the comment received. Example:
0integer
Number of replies to this comment. Example:
0string
URL of the comment author’s Instagram profile. Example:
https://instagram.com/sai_jonovboolean
Whether this is a reply to another comment (nested comment). Example:
Falsestring
Unique identifier of the parent comment this is a reply to.
string
Username of the account that posted the post or reel. Example:
cristianostring
Instagram id of the account that posted the post or reel. Example:
173560420string
Display name of the account that posted the post or reel. Example:
Cristiano Ronaldoboolean
Whether the account that posted has a verified badge. Example:
Trueboolean
Whether the comment was edited after posting. Example:
FalseCode Examples
curl -G https://api.lobstr.io/v1/results \
-H "Authorization: Token YOUR_API_KEY" \
-d "squid=YOUR_SQUID_HASH" \
-d "page=1"
import requests
response = requests.get(
"https://api.lobstr.io/v1/results",
headers={"Authorization": "Token YOUR_API_KEY"},
params={"squid": "YOUR_SQUID_HASH", "page": 1},
)
print(response.json())
Response
200
{"total_results": 1, "data": [{"comment_id": "18397500988178795", "comment_url": "https://www.instagram.com/p/DDIJAfeyemG/c/18397500988178795", "post_url": "https://www.instagram.com/reel/DDIJAfeyemG", "text": "I LOVE INSTAGRAM #instagram", "giphy_media_info": null, "owner_username": "mohsinjamindar07", "owner_id": "40564582835", "owner_profile_pic_url": "https://scontent.cdninstagram.com/v/t51.2885-19/x.jpg", "owner_is_verified": false, "timestamp": "2026-02-15T06:27:58.000Z"}]}